FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
fir::ExactTypeAttr Class Reference
Inheritance diagram for fir::ExactTypeAttr:

## Public Types
using | ValueType = mlir::Type

## Public Member Functions
mlir::Type | getType () const

## Static Public Member Functions
static constexpr llvm::StringRef | getAttrName ()
static ExactTypeAttr | get (mlir::Type value)
static constexpr bool | kindof (unsigned kind)
static constexpr unsigned | getId ()

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRAttr.h
- lib/Optimizer/Dialect/FIRAttr.cpp